<!DOCTYPE html>
<html>
<head>
  <title>Web Configurator</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- <meta http-equiv="refresh" content="10"> -->
  <link rel="icon" href="data:,">
  <link rel="stylesheet" type="text/css" href="style.css">
</head>
  <script>
  function validateForm1() {
	var x = document.forms["myForm1"]["time1"].value;
	if (x < 1 || x > 2147483647) {
      alert("Tempo do motor tem de ser entre 1 e 2 147 483 647 segundos");
	return false;
	}
	else {
	  alert("Tempo do motor definido para: " + x + " segundo(s)");
	}
  }
  
  function validateForm2() {
	var x = document.forms["myForm2"]["time2"].value;
	if (x < 0 || x > 2147483647 || x == "") {
      alert("Tempo da v\xE1lvula tem de ser entre 0 e 2 147 483 647 segundos");
      return false;
	}
	else {
	  alert("Tempo da v\xE1lvula definido para: " + x + " segundo(s)");
	}
  }
  
  function validateForm3() {
	var x = document.forms["myForm3"]["time3"].value;
	if (x < 1 || x > 2147483647) {
      alert("Tempo da pausa tem de ser entre 1 e 2 147 483 647 segundos");
      return false;
	}
	else {
	  alert("Tempo da pausa definido para: " + x + " segundo(s)");
	}
  }
  
  setInterval(function ( ) {
	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() {
	  if (this.readyState == 4 && this.status == 200) {
	    document.getElementById("seconds").innerHTML = this.responseText;		
	  }
	};
	xhttp.open("GET", "/seconds", true);
	xhttp.send();
  }, 1000 ) ;
  
  
  setInterval(function ( ) {
	var xhttp2 = new XMLHttpRequest();
	xhttp2.onreadystatechange = function() {
	  if (this.readyState == 4 && this.status == 200) {	    
		document.getElementById("output0").innerHTML = this.responseText;
	  }
	};	
	xhttp2.open("GET", "/output0", true);
	xhttp2.send();
  }, 1000 ) ;
  
  
  setInterval(function ( ) {
	var xhttp3 = new XMLHttpRequest();
	xhttp3.onreadystatechange = function() {
	  if (this.readyState == 4 && this.status == 200) {	    
		document.getElementById("output2").innerHTML = this.responseText;
	  }
	};	
	xhttp3.open("GET", "/output2", true);
	xhttp3.send();
  }, 1000 ) ;
  
</script>
	<style>
p.a {
    font-family: "Times New Roman", Times, serif;
	font-weight: 900;
	font-size: 30px;
	color: blue;	
}

p.b {
  font-family: Arial, Helvetica, sans-serif;
}
</style>
</head>

<body style="background-color:powderblue;">
<h1>WEB CONFIG</h1>
  <!-- <p>Segundos: <strong> %SECONDS%</strong></p> -->
  <p>
  	<p class="a">ESTADO ATUAL:</p>
	<p></p>
	<p>
  <span class="label">Motor: </span>
  <span id="output0"><strong>%STATE%</strong></span>  
  </p>
  <p>
  <span class="label">V&aacute;lvula: </span>
  <span id="output2"><strong>%STATE2%</strong></span>  
  </p>
  <span class="label">Contador (total): </span>
  <span id="seconds"><b>%SECONDS%</b></span> 
  <span class="label"> segundo(s)</span>
  </p>
	<p class="a">TEMPOS ATUAIS:
	
  <p>Motor: <strong> %TIME1%</strong> segundo(s)</p>  
  <p>V&aacute;lvula: <strong> %TIME2%</strong> segundo(s)</p> 
  <p>Pausa: <strong> %TIME3%</strong> segundo(s)</p>
  
  
  
  <p class="a">DEFINIR NOVOS TEMPOS:
  
  <form name="myForm1"  action="/get" onsubmit="return validateForm1()">
	Motor: <input type="number" name="time1">
    <input type="submit" value="Enviar">
  </form><br>
  <form name="myForm2" action="/get" onsubmit="return validateForm2()">
	V&aacute;lvula: <input type="number" name="time2">
    <input type="submit" value="Enviar">
  </form><br>
  <form name="myForm3" action="/get" onsubmit="return validateForm3()">
	Pausa: <input type="number" name="time3">
    <input type="submit" value="Enviar">
  </form><br>  
  
  <!-- <p>Motor: <strong> %STATE%</strong></p>   -->
  <!-- <p>Válvula: <strong> %STATE2%</strong></p>   -->
    
	<p class="a">TESTAR:</p>
	(manter 'pressionado')</p>
  <button class="button" onmousedown="toggleCheckbox('on0');" ontouchstart="toggleCheckbox('on0');" onmouseup="toggleCheckbox('off0');" ontouchend="toggleCheckbox('off0');">MOTOR</button>
  <script>
   function toggleCheckbox(x) {
     var xhr = new XMLHttpRequest();
     xhr.open("GET", "/" + x, true);
     xhr.send();
   }
   </script>
  </p>
  <button class="button" onmousedown="toggleCheckbox('on2');" ontouchstart="toggleCheckbox('on2');" onmouseup="toggleCheckbox('off2');" ontouchend="toggleCheckbox('off2');">V&Aacute;LVULA</button>
  <script>
   function toggleCheckbox(x) {
     var xhr = new XMLHttpRequest();
     xhr.open("GET", "/" + x, true);
     xhr.send();
   }
   </script>
    
</body>
</html>

